﻿namespace Buzzard.Xmpp.Stream.Elements
{
    public class IqQueryElement : CompositeElement
    {
        public IqQueryElement() : base("query")
        { }

        public IqQueryElement(string contentNamespace) : this()
        {
            ContentNamespace = contentNamespace;
        }

        public void AddRosterItem(string name, JID jid)
        {
            AddContentItem(new RosterItemElement(name, jid));
        }
    }
}
