﻿namespace Buzzard.Xmpp.Stream.Elements
{
    public class IqStanza : Stanza
    {
        public IqStanza() : base("iq")
        { }

        public IqStanza(string type) : this()
        {
            Type = type;
        }

        public IqQueryElement AddQueryElement(string queryNamespace)
        {
            IqQueryElement query = new IqQueryElement(queryNamespace);
            AddContentItem(query);
            return query;
        }
    }
}
