﻿namespace Buzzard.Xmpp.Stream.Elements
{
    public static class StanzaErrors
    {
        public static readonly string BadRequest = "bad-request";
        public static readonly string Conflict = "conflict";
        public static readonly string FeatureNotImplemented = "feature-not-implemented";
        public static readonly string Forbidden = "forbidden";
        public static readonly string Gone = "gone";
        public static readonly string InternalServerError = "internal-server-error";
        public static readonly string ItemNotFound = "item-not-found";
        public static readonly string JidMalformed = "jid-malformed";
        public static readonly string NotAcceptable = "not-acceptable";
        public static readonly string NotAllowed = "not-allowed";
        public static readonly string NotAuthorized = "not-authorized";
        public static readonly string PolicyViolation = "policy-violation";
        public static readonly string RecipientUnavailable = "recipient-unavailable";
        public static readonly string Redirect = "redirect";
        public static readonly string RegistrationRequired = "registration-required";
        public static readonly string RemoteServerNotFound = "remote-server-not-found";
        public static readonly string RemoteServerTimeout = "remote-server-timeout";
        public static readonly string ResourceConstraint = "resource-constraint";
        public static readonly string ServiceUnavailablet = "service-unavailable";
        public static readonly string SubscriptionRequired = "subscription-required";
        public static readonly string UndefinedCondition = "undefined-condition";
        public static readonly string UnexpectedRequest = "unexpected-request";
    }
}
