﻿namespace Buzzard.Xmpp.Stream.Elements
{
    public class StreamError : ErrorElement
    {
        public StreamError() : this("")
        {
        }

        public StreamError(string errorName) : this(errorName, "", "")
        {
        }

        public StreamError(string errorName, string errorDescription, string descriptionLang) : base(XmppNamespaces.StreamError, "stream", XmppNamespaces.Streams)
        {
            DescriptionLang = descriptionLang;
            ErrorName = errorName;
            ErrorDescription = errorDescription;
        }
    }
}
