﻿namespace Buzzard.Xmpp.Stream.Elements
{
    public static class StreamErrors
    {
        public static readonly string BadFormat = "bad-format";
        public static readonly string BadNamespacePrefix = "bad-namespace-prefix";
        public static readonly string Conflict = "conflict";
        public static readonly string ConnectionTimeout = "connection-timeout";
        public static readonly string HostGone = "host-gone";
        public static readonly string HostUnknown = "host-unknown";
        public static readonly string ImproperAddressing = "improper-addressing";
        public static readonly string InternalServerError = "internal-server-error";
        public static readonly string InvalidFrom = "invalid-from";
        public static readonly string InvalidNamespace = "invalid-namespace";
        public static readonly string InvalidXml = "invalid-xml";
        public static readonly string NotAuthorized = "not-authorized";
        public static readonly string NotWellFormed = "not-well-formed";
        public static readonly string PolicyViolation = "policy-violation";
        public static readonly string RemoteConnectionFailed = "remote-connection-failed";
        public static readonly string Reset = "reset";
        public static readonly string ResourceConstraint = "resource-constraint";
        public static readonly string RestrictedXml = "restricted-xml";
        public static readonly string SeeOtherHost = "see-other-host";
        public static readonly string SystemShutdown = "system-shutdown";
        public static readonly string UnsupportedEncoding = "unsupported-encoding";
        public static readonly string UnsupportedFeature = "unsupported-feature";
        public static readonly string UnsupportedStanzaType = "unsupported-stanza-type";
        public static readonly string UnsupportedVersion = "unsupported-version";
    }
}
